Summary: Kyua - Command line interface
Name: kyua-cli
Version: 0.5
Release: 2%{?dist}
License: BSD
Group: Development/Tools
URL: http://code.google.com/p/kyua/
Source0: http://kyua.googlecode.com/files/%{name}-%{version}.tar.gz
Source1: README.Fedora
Requires: lutok >= 0.2
Requires: sqlite >= 3.6.22
Requires(post): info
Requires(preun): info
BuildRequires: libatf-c++-devel >= 0.15
BuildRequires: libatf-sh-devel >= 0.15
BuildRequires: lutok-devel >= 0.2-1
BuildRequires: sqlite-devel >= 3.6.22

%define _testsdir %{_libexecdir}/kyua-cli/tests

%description
Kyua (pronounced Q.A.) is a testing framework for both developers and
users.  Kyua is different from most other testing frameworks in that it
puts the end user experience before anything else.  There are multiple
reasons for users to run the tests themselves, and Kyua ensures that
they can do so in the most convenient way.

This module, kyua-cli, provides the command-line interface to the Kyua
run-time system: in other words, the 'kyua' binary.  The major purpose
of this tool is to run test cases and generate unified reports of
their results.

%prep
%setup -q

# Put the README.Fedora file in the top-level directory of the source tree so
# that the %doc call below can pick it up.
cp -p %{SOURCE1} README.Fedora

%build
%configure INSTALL="/usr/bin/install -p" \
           --without-doxygen
make %{?_smp_mflags} pkgtestsdir=%{_testsdir} testsdir=%{_testsdir}

%check
# The check stage runs the tests using Kyua itself and Kyua accesses the home
# directory to store logs and the database.  Override HOME to a known value to
# ensure these files get discarded.
HOME=$(pwd)/check make check pkgtestsdir=%{_testsdir} testsdir=%{_testsdir}

%install
make install DESTDIR=%{buildroot} doc_DATA= \
             pkgtestsdir=%{_testsdir} testsdir=%{_testsdir}
rm -f %{buildroot}/%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%doc AUTHORS COPYING NEWS README
%{_bindir}/kyua
%{_infodir}/kyua-cli.info.gz
%{_datadir}/kyua-cli
%{_mandir}/man1/kyua.1.gz

%package tests
Summary: Run-time tests of the Kyua toolchain
Requires: %{name} = %{version}-%{release}
Requires: libatf-c++ >= 0.15
Requires: libatf-sh >= 0.15

%description tests
This package installs the run-time tests for the Kyua toolchain.
Please see the README.Fedora file in the documentation directory for further
details on how to run the installed tests.

%files tests
%doc README.Fedora
%{_testsdir}

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Julio Merino <jmmv@google.com> 0.5-1
- Updated to new upstream version 0.5.
- Made the installation of the package preserve the build times of the files.

* Mon Jun 18 2012 Julio Merino <jmmv@google.com> 0.4-2
- Added the kyua-tests package providing the run-time tests of Kyua, readily
  runnable by the end users.

* Thu Jun 07 2012 Julio Merino <jmmv@google.com> 0.4-1
- Initial version of the package.
